curl --request GET \
--url https://sandbox.api.byzantine.fi/v1/query/get-transactions \
--header 'X-Pubkey: <x-pubkey>' \
--header 'X-Pubkey, X-Timestamp, X-Signature: <api-key>' \
--header 'X-Signature: <x-signature>' \
--header 'X-Timestamp: <x-timestamp>'import requests
url = "https://sandbox.api.byzantine.fi/v1/query/get-transactions"
headers = {
"X-Pubkey": "<x-pubkey>",
"X-Timestamp": "<x-timestamp>",
"X-Signature": "<x-signature>",
"X-Pubkey, X-Timestamp, X-Signature": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'X-Pubkey': '<x-pubkey>',
'X-Timestamp': '<x-timestamp>',
'X-Signature': '<x-signature>',
'X-Pubkey, X-Timestamp, X-Signature': '<api-key>'
}
};
fetch('https://sandbox.api.byzantine.fi/v1/query/get-transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));[
{
"transactionId": "550e8400-e29b-41d4-a716-446655440000",
"accountId": "550e8400-e29b-41d4-a716-446655440000",
"chainId": 123,
"intermediaryAmount": "123.456789",
"type": "deposit",
"status": "completed",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"relatedTransactionId": "550e8400-e29b-41d4-a716-446655440000",
"vaultAddr": "<string>",
"transactionHash": "<string>",
"broadcastedAt": "2023-11-07T05:31:56Z",
"sourceCurrency": "usd",
"destinationCurrency": "usd",
"sourceAmount": "123.456789",
"destinationAmount": "123.456789",
"destinationAddress": "<string>",
"account": {
"accountName": "<string>",
"entityId": "550e8400-e29b-41d4-a716-446655440000",
"ownerUserId": "550e8400-e29b-41d4-a716-446655440000",
"imageUrl": "<string>"
},
"withdrawalRequest": {
"requestId": "550e8400-e29b-41d4-a716-446655440000",
"status": "pending"
},
"fiatDepositInstructions": {
"currency": "usd",
"bankName": "Lead Bank",
"bankAddress": "1801 Main St., Kansas City, MO 64108",
"paymentRails": [
"achPush"
],
"bankBeneficiaryName": "John Smith",
"objectId": "550e8400-e29b-41d4-a716-446655440000",
"expectedDepositAmount": "123.456789",
"bankBeneficiaryAddress": "1234 Main St., Kansas City, MO 64108",
"bankAccountNumber": "1234567890",
"bankRoutingNumber": "87654321",
"iban": "FR12345678901234567890",
"bic": "BICFR12345"
},
"destinationBankAccount": {
"country": "FRA",
"last4": "0804",
"objectId": "550e8400-e29b-41d4-a716-446655440000",
"bic": "BICFR12345"
}
}
]List all transactions
Returns all deposit, withdrawal, and approval transactions with pending or completed status.
Excludes transactions still in an internal status (created, claimed).
curl --request GET \
--url https://sandbox.api.byzantine.fi/v1/query/get-transactions \
--header 'X-Pubkey: <x-pubkey>' \
--header 'X-Pubkey, X-Timestamp, X-Signature: <api-key>' \
--header 'X-Signature: <x-signature>' \
--header 'X-Timestamp: <x-timestamp>'import requests
url = "https://sandbox.api.byzantine.fi/v1/query/get-transactions"
headers = {
"X-Pubkey": "<x-pubkey>",
"X-Timestamp": "<x-timestamp>",
"X-Signature": "<x-signature>",
"X-Pubkey, X-Timestamp, X-Signature": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'X-Pubkey': '<x-pubkey>',
'X-Timestamp': '<x-timestamp>',
'X-Signature': '<x-signature>',
'X-Pubkey, X-Timestamp, X-Signature': '<api-key>'
}
};
fetch('https://sandbox.api.byzantine.fi/v1/query/get-transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));[
{
"transactionId": "550e8400-e29b-41d4-a716-446655440000",
"accountId": "550e8400-e29b-41d4-a716-446655440000",
"chainId": 123,
"intermediaryAmount": "123.456789",
"type": "deposit",
"status": "completed",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"relatedTransactionId": "550e8400-e29b-41d4-a716-446655440000",
"vaultAddr": "<string>",
"transactionHash": "<string>",
"broadcastedAt": "2023-11-07T05:31:56Z",
"sourceCurrency": "usd",
"destinationCurrency": "usd",
"sourceAmount": "123.456789",
"destinationAmount": "123.456789",
"destinationAddress": "<string>",
"account": {
"accountName": "<string>",
"entityId": "550e8400-e29b-41d4-a716-446655440000",
"ownerUserId": "550e8400-e29b-41d4-a716-446655440000",
"imageUrl": "<string>"
},
"withdrawalRequest": {
"requestId": "550e8400-e29b-41d4-a716-446655440000",
"status": "pending"
},
"fiatDepositInstructions": {
"currency": "usd",
"bankName": "Lead Bank",
"bankAddress": "1801 Main St., Kansas City, MO 64108",
"paymentRails": [
"achPush"
],
"bankBeneficiaryName": "John Smith",
"objectId": "550e8400-e29b-41d4-a716-446655440000",
"expectedDepositAmount": "123.456789",
"bankBeneficiaryAddress": "1234 Main St., Kansas City, MO 64108",
"bankAccountNumber": "1234567890",
"bankRoutingNumber": "87654321",
"iban": "FR12345678901234567890",
"bic": "BICFR12345"
},
"destinationBankAccount": {
"country": "FRA",
"last4": "0804",
"objectId": "550e8400-e29b-41d4-a716-446655440000",
"bic": "BICFR12345"
}
}
]Authorizations
Headers
Integrator's ECDSA public key (P-256 curve, compressed SEC1 format). Example: 0x038fedef7c12f93bbf342ad8943b7a825a3b41f61c9dc118b2c718efebabbf62fd
Unix timestamp in seconds (UTC). Must be within tolerance window (1 minute) to prevent replay attacks. Example: 1760375826
ECDSA signature (DER-encoded, hex with 0x prefix). Signs the message: {timestamp}{METHOD}{path_and_query}{json_body}. Example: 0x3045022100...
Query Parameters
A UUID string
"550e8400-e29b-41d4-a716-446655440000"
Response
Transactions retrieved successfully
A UUID string
"550e8400-e29b-41d4-a716-446655440000"
A UUID string
"550e8400-e29b-41d4-a716-446655440000"
A high-precision decimal number represented as a string
"123.456789"
Type of transaction returned by the API.
onramp, deposit, onramp_deposit, withdraw, offramp, withdraw_offramp, authorization, approve, transfer "deposit"
The current status of the transaction, as returned by the API.
withdrawal_initiated, waiting_for_funds, funds_in_transfer, funds_received, processing, completed, simulation_failed, reverted, refunded, cancelled "completed"
A UUID string
"550e8400-e29b-41d4-a716-446655440000"
usd, eur, usdc, eurc usd, eur, usdc, eurc A high-precision decimal number represented as a string
"123.456789"
A high-precision decimal number represented as a string
"123.456789"
Minimal data of an account
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Bank account details where the funds will be transferred to (withdrawals only).
- Option 1
- Option 2
Show child attributes
Show child attributes

